Subject: bug#21957: 24.5; Make occur search within regions when there is one

From: Artur Malabarba <[email-masked]>
Date: Sun, 22 Nov 2015 12:13:31 +0000

I've been thinking it might be nice to have an occur-dwim command.

1. If the selected region has multiple lines, it would search only inside
the region.
2. If the selected region has one line or less, it would use the region as
the search string.
3. If there's no selection it do the usual occur.